Go to the latest version of this document.

# ``twisted`.`words`.`iwords`.`IProtocolPlugin``

interface documentation

`class IProtocolPlugin(Interface): (source)`

View In Hierarchy

Interface for plugins providing an interface to a Words service

Method | `getFactory` | Retrieve a `twisted.internet.interfaces.IServerFactory` provider
Attribute | `name` | A single word describing what kind of interface this is (eg, irc or web)

def getFactory(realm, portal): (source)

Retrieve a `twisted.internet.interfaces.IServerFactory` provider

Parameters
realm | An object providing `twisted.cred.portal.IRealm` and `IChatService`, with which service information should be looked up.
portal | An object providing `twisted.cred.portal.IPortal`, through which logins should be performed.

name = (source)

A single word describing what kind of interface this is (eg, irc or web)